<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_16</title>
</head>
<body>
    <h1>Capitulo 16</h1>
    <a>Ejercicio 18</a>

    <script>

        let hashTable = [ "", "", "abc", "def", "ghi", "jkl", "mno", "pqrs", "tuv", "wxyz" ];
                   
        const palabrasPatron = (number, curr, output, n) => {
     
            if (curr == n) {
                console.log(output.join(""))
                return;
            }
       
            for(let i = 0; i < hashTable[number[curr]].length; i++) {
                output.push(hashTable[number[curr]][i]);
                palabrasPatron(number, curr + 1, output, n);         
                output.pop();
         
                if(number[curr] == 0 || number[curr] == 1)
                    return
            }
        }
 
        function imprimirPala(numbers, n) {
            palabrasPatron(number, 0, [], n);
        }
 
        let number = [ 2, 3, 4 ];
        let n = number.length;
 
        imprimirPala(number, n);  

</script>
    
</body>
</html>